And we know we will get it.

But to appease you from totally nitpicking something with an entire different meaning... let me rewrite.

So when I get an extended edition along my Steam version, which is a patched and supported version of D:OS... how are we hosed again?

And you can still use the old D:OS if you can't run the EE. Tell me again how anyone is screwed up? Cause your "can't play" makes NO sense what-so-ever.